Quick Start Guide

Integrate Cortiqa models into your application in under 2 minutes.

1Create Secret API Key

Navigate to API Keys and generate your secret key (sk-cortiqa-...).

2Make Your First API Request

curl -X POST "https://api.cortiqa.co/api/v1/chat/completions" \
  -H "Authorization: Bearer sk-cortiqa-YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "openai/gpt-oss-120b",
    "messages": [
      {"role": "system", "content": "You are a helpful assistant."},
      {"role": "user", "content": "Hello! Write a 1-line joke."}
    ],
    "temperature": 0.7,
    "max_tokens": 150
  }'

3Standard Response Format

{
  "id": "chatcmpl-5ac2d14e",
  "object": "chat.completion",
  "created": 1786459731,
  "model": "openai/gpt-oss-120b",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": "Why do programmers prefer dark mode? Because light attracts bugs."
      },
      "finish_reason": "stop"
    }
  ],
  "usage": {
    "prompt_tokens": 57,
    "completion_tokens": 13,
    "total_tokens": 70,
    "total_time": 0.039
  }
}